Bug #93945

Update guzzle

Added by Bernhard Eckl 5 months ago. Updated 14 days ago.

Status:
Closed
Priority:
Should have
Assignee:
-
Category:
Backend API
Target version:
-
Start date:
2021-04-19
Due date:
% Done:

0%

Estimated time:
TYPO3 Version:
9
PHP Version:
7.3
Tags:
Complexity:
Is Regression:
Sprint Focus:

Description

When using direct_mail statistics module I encountered the following bug: https://github.com/spatie/crawler/issues/271.

Please update guzzle, so the error does not occur anymore.

#1

Updated by Benni Mack about 1 month ago

Hey Bernhard,

are you running TYPO3 with composer or non-composer? With composer there might be ways to update guzzle to a later version or patch Guzzle dependencies.

Reading the link you sent, the issue was fixed with guzzle v7.2.0. For TYPO3 v9 and TYPO3 v10, we use Guzzle v6.4.1 when creating tarballs/zip files, as we are not able to update to Guzzle due to breaking changes in their packages.

For TYPO3 v11 we have fixed various issues to ship to the latest Guzzle version.

#2

Updated by Benni Mack about 1 month ago

  • Status changed from New to Needs Feedback
#3

Updated by Bernhard Eckl 20 days ago

Hey Benni,

unfortunately it is a non composer install (not yet migrated). So I think the best way to go is to manually edit the files to get rid of it until I am on TYPO3 11. :(

#4

Updated by Benni Mack 14 days ago

  • Status changed from Needs Feedback to Closed

Sorry to hear this, but yes, upgrading to TYPO3 v11 is unfortunately the most useful solution. If you're not using version control / git / composer, one dirty hack would be - of course - to fix the place in the guzzle source code to fix the issue there.

Also available in: Atom PDF